강의로 돌아가기
박재성

실행 에러는 나는데 .. 통과하네요??

try구문만 써서 .. 통과했느데..

실행엔 오류가 남니당..
왜 실행은 안되고?? 통과는되는거죠?

작성중인 코드―MyCheckedException.java
1
2
3
public class MyCheckedException extends Exception{

}
작성중인 코드―ExceptionExam.java
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
public class ExceptionExam{
  public static void main(String[] args){
    ExceptionExam exam = new ExceptionExam();
    int[] array = new int[10];
try{
    exam.get50thItem(array);
}catch(Exception e){
  e.printStackTrace();
}

  }

  public int get50thItem(int []array) throws MyCheckedException{
    if(array.length < 50){
      throw new MyCheckedException();
    }
    return  array[49];
  }
}
1 개의 답변
프로그래머스

본 실습 환경에서는 e.printStackTrace()를 쓸 수 없어서 에러가 발생합니다.
이와는 별개로 레슨에서 요구하는 사항(try-except사용)을 만족하셨기 때문에 정답으로 처리되는게 맞습니다 :)

답변 쓰기
이 입력폼은 마크다운 문법을 지원합니다. 마크다운 가이드 를 참고하세요.